diff --git a/doc/src/sgml/high-availability.sgml b/doc/src/sgml/high-availability.sgml
index 138bdf2a75..a267968841 100644
--- a/doc/src/sgml/high-availability.sgml
+++ b/doc/src/sgml/high-availability.sgml
@@ -861,7 +861,7 @@ primary_conninfo = 'host=192.168.1.50 port=5432 user=foo password=foopass'
     </para>
     <para>
      You can retrieve a list of WAL sender processes via the
-     <link linkend="monitoring-stats-views-table">
+     <link linkend="monitoring-stats-dynamic-views-table">
      <literal>pg_stat_replication</></link> view. Large differences between
      <function>pg_current_wal_lsn</> and the view's <literal>sent_lsn</> field
      might indicate that the master server is under heavy load, while
@@ -869,6 +869,14 @@ primary_conninfo = 'host=192.168.1.50 port=5432 user=foo password=foopass'
      <function>pg_last_wal_receive_lsn</> on the standby might indicate
      network delay, or that the standby is under heavy load.
     </para>
+    <para>
+     On a standby, the status of the WAL receiver process can be retrieved
+     via the <link linkend="monitoring-stats-dynamic-views-table">
+     <literal>pg_stat_wal_receiver</></link> view. A large difference between
+     <function>pg_last_wal_replay_lsn</> and the view's
+     <literal>received_lsn</> indicates that WAL is being received faster than
+     it can be replayed.
+    </para>
    </sect3>
   </sect2>
 
